Bug 10287 - net ads join crashing and dumping core
net ads join crashing and dumping core
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.1.1
All FreeBSD
: P5 critical
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-22 06:22 UTC by drookie
Modified: 2014-06-13 19:34 UTC (History)
0 users

See Also:


Attachments
net -d 10 ads join log from a console (16.99 KB, text/x-log)
2013-11-22 06:22 UTC, drookie
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description drookie 2013-11-22 06:22:38 UTC
Created attachment 9465 [details]
net -d 10 ads join log from a console

net ads join crashing and dumping core while trying to join an ads domain.

Backtrace:

(gdb) bt
#0  0x0000000808a781fa in kill () from /lib/libc.so.7
#1  0x0000000808a16e20 in __stack_chk_fail () from /lib/libc.so.7
#2  0x0000000808a16d90 in __stack_chk_fail () from /lib/libc.so.7
#3  0x000000080321d1d8 in hmac_md5_final (digest=0x7fffffffbab0 "_jUг\234╧]\204\017Пs6O\2345\016\020жЪЪЪ\177", 
    ctx=0x7fffffffb950) at ../lib/crypto/hmacmd5.c:56
#4  0x0000000000000000 in ?? ()

Config:

[global]
workgroup = SOFTLAB
machine password timeout = 0
netbios name = WIZARD
server string = Samba 3.6.20 on FreeBSD 10.0-BETA1
hosts allow = 192.168.0.0/16 127.0.0.0/8 172.16.0.0/16 fd00::/16
guest account = pcguest
map to guest = bad user
log level = 0 winbind:4
log file = /var/log/samba/log.%m
max log size = 100

security = ads
#ldap ssl ads = yes
realm = NORMA.COM

socket options = TCP_NODELAY
dns proxy = no
local master = no
domain master = no
os level = 0
interfaces = vlan1 lo0
bind interfaces only = yes
syslog = 0
deadtime = 15
printcap name = cups
printing = BSD
unix charset = KOI8-R
dos charset = 866

create krb5 conf = yes

idmap config * : backend = tdb
idmap config * : range = 20000-30000
winbind cache time = 1200
winbind enum users = yes
winbind enum groups = yes
winbind use default domain = yes
winbind separator = +
encrypt passwords = yes
template shell = /sbin/nologin

[test]
comment = Test Directory
path = /usr/local/public/test
guest ok = yes
guest only = yes
browseable = yes

join log with -d 10 attached.
Comment 1 drookie 2013-11-26 08:33:17 UTC
Exactly same issue on 4.1.2, stacktrace identical.
Comment 2 Björn Jacke 2014-06-13 17:18:33 UTC
Looks like an issue with the platform md5 library that we use since a little while.
Volker, do you have any idea about this?
Comment 3 Björn Jacke 2014-06-13 17:22:36 UTC
drookie: as you seem to use FreeBSD 10.0-BETA1. Do you see the same problem with a stable FreeBSD release also?
Comment 4 drookie 2014-06-13 19:34:23 UTC
Nah, the bug is gone. It can also be resolved by reverse-upgrading the dependencies; still don't know what exactly is triggering it.